<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']= 'Подарки';
include_once '../sys/inc/thead.php';
title();
aut();
only_reg();

          $id = intval($_GET['id']);

          $pod = mysql_fetch_array(mysql_query("select * from `pod_in` WHERE `id` = '".$id."'"));

        echo '<div class="links">';

        echo '<img src="img.png" alt="."/> Скрыть подарок<br/>';

        echo '</div>';
		
		echo '<div class="links">';
		
		
		    if ($user['id']!==$pod['komu_id'] && $user['id']!=='1'){
			
			
			   echo 'У Вас нет прав для данного действия.<br/>';
			
			   }else{
			
			if (isset($_POST['submit'])){
			
			$rn = mysql_real_escape_string($_GET['rn']);
			
			$k = intval($_POST['chislo']);
			
			$rn2 = md5($k);
			
			if ($rn!==$rn2){
			
			echo 'Извените, но Вы ввели не верное число.<br/>';
			
			echo '<a href="/pod/edit.php?id='.$id.'">Попробовать ещё раз</a><br/>';
			
			}else{
			
			echo 'Подарок успешно скрыт. Теперь другие пользователи не будут его видеть.<br/>';
			
			mysql_query("UPDATE `pod_in` SET `private` = '1' WHERE `id` = '".$id."' LIMIT 1");
			
			}
			
			}else{
			
			 $rnd = rand(1111,9999);
			
			 $rn = md5($rnd);
			
			  echo 'Чтобы скрыть подарок, пожалуйста, введите цифры: <b>'.$rnd.'</b><br/>';
			
			echo '<form action="/pod/edit.php?id='.$id.'&rn='.$rn.'" method="post">';
			
			echo '<input type="text" name="chislo" value=""/><br/>';
			
			echo '<input type="submit" name="submit" value="Скрыть"/>';
			
			}
			
		    }
		
		
		echo '</div>';
		
		echo '<div class="links">';

        echo '<img src="img.png" alt="."/> <a href="/pod/">К подаркам</a><br/>';

        echo '</div>';


include_once '../sys/inc/tfoot.php';
?>